/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Vascular Tissue Segmentation Types
 */
public enum EnumCV_VascularTissueSegmentationTypes {

	//Vascular Tissue Segmentation Types - CID 7156
	ADVENTITIA_T_1A190("T-1A190"),
	CARDIOVASCULAR_SYSTEM_T_30000("T-30000"),
	INTIMA_T_1A170("T-1A170"),
	LUMEN_T_40230("T-40230"),
	MEDIA_T_40210("T-40210"),
	SYSTEMIC_ARTERY_T_4105E("T-4105E"),
	SYSTEMIC_VEIN_T_48081("T-48081"),
	THROMBUS_M_35001("M-35001"),
	VASCULAR_SCLEROSIS_M_520F8("M-520F8");

	private String value;

	EnumCV_VascularTissueSegmentationTypes(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
